require "env_manager/version"

require 'env_manager/loader'
require 'env_manager/builder'

module EnvManager
  # Reads the env file for the given environment
  # and returns an object representation of the
  # environment variables defined within that file.
  #
  def self.load(path)
    env_file = Loader.new(path)
    Builder.new(env_file.read)
  end
end